<?

 /*****************************************************************************
 * Filename: include/plugins/pager/modules/pluginInfo.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_pager_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="Pager plugin information";

   $this->data->addField("contentTemplate", "localfile", "all", false, 1, 255, "content.html", "Content template");

   $this->data->addField("errorTemplate", "localfile", "all", false, 1, 255, "error.html", "Error page template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("contentTemplate", $_path["project"]["plugins"]."pager/templates/");
   $this->data->setFileExtensions("contentTemplate", "html", "htm");
   $this->data->setFileDir("errorTemplate", $_path["project"]["plugins"]."pager/templates/");
   $this->data->setFileExtensions("errorTemplate", "html", "htm");

   return true;
  }
 }
?>
