<?

 /*****************************************************************************
 * Filename: include/plugins/pager/setup/index.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 if(!isset($_path))
 {
  $_path["root"]="../../";
  require($_path["root"]."include.php");
 }

 if($_config->get("benchmark"))
 {
  require_once($_path["include"]."benchmark.php");
  $_benchmark=new Benchmark();
 }

 require_once($_path["include"]."history.php");

 $hs=new History();
 $hs->lockProject(); //lock to current
 if(!$hs->isAlreadyStored())
  $hs->store();
 unset($hs);

 require_once($_path["include"]."plugin.php");
 
 $pager=new Plugin("pager");
 $pager->config("default");
 $pager->call("frontend", "main");

 print $pager->call("frontend", "output");
?>
